WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Class SecondOrderBoundaries

    java.lang.Object
      |
      +--webcab.lib.finance.options.exotic.SecondOrderBoundaries

All Implemented Interfaces:
  Boundaries, Serializable

public class SecondOrderBoundaries
extends Object
implements Boundaries

This class informs the algorithms that a general boundary condition will be used. This condition is described in the Boundary Conditions section of the Programmer's Guide. Keep in mind however that there are no guarantees that this condition is valid for your particular option type.

See Also:
  Serialized Form

Constructor Summary
`SecondOrderBoundaries()`

Method Summary
`int` `type()` Returns the type of the boundary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecondOrderBoundaries

    public SecondOrderBoundaries()
                          throws Exception

Method Detail

### type

    public int type()

  Description copied from interface: `Boundaries`
  Returns the type of the boundary. Currently there are two types of boundaries supported (BT_DIRICHLET and BT_SECOND_ORDER) but only the first can be returned by the user.

  Specified by:
    `type` in interface `Boundaries`

WebCab Options and Futures Demo v2.5 (J2SE Edition)